Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.connector.warp
Class WarpRequest

    java.lang.Object
      |
      +--org.apache.catalina.connector.RequestBase
            |
            +--org.apache.catalina.connector.HttpRequestBase
                  |
                  +--org.apache.catalina.connector.warp.WarpRequest

All Implemented Interfaces:
  HttpRequest, javax.servlet.http.HttpServletRequest, Request, javax.servlet.ServletRequest

public class WarpRequest
extends HttpRequestBase

Inner Class Summary
`protected class` | `WarpRequest.Stream`

Inner classes inherited from class org.apache.catalina.connector.HttpRequestBase
`HttpRequestBase.PrivilegedGetSession`

Fields inherited from class org.apache.catalina.connector.HttpRequestBase
`authType, contextPath, cookies, empty, facade, formats, headers, info, method, parameters, parsed, pathInfo, queryString, requestedSessionCookie, requestedSessionId, requestedSessionURL, requestURI, secure, servletPath, session, userPrincipal`

Fields inherited from class org.apache.catalina.connector.RequestBase
`attributes, authorization, characterEncoding, connector, contentLength, contentType, context, defaultLocale, input, locales, protocol, reader, remoteAddr, remoteHost, response, scheme, serverName, serverPort, sm, socket, stream, wrapper`

Fields inherited from interface javax.servlet.http.HttpServletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`WarpRequest()`

Method Summary
`WarpConnection` | `getConnection()` Return the `WarpConnection` associated this instance of `WarpResponse`.
`Host` | `getHost()`
`void` | `recycle()` Recycle this `WarpResponse` instance.
`void` | `setConnection(WarpConnection connection)` Associate this `WarpResponse` instance with a specific `WarpConnection` instance.
`void` | `setHost(Host host)`

Methods inherited from class org.apache.catalina.connector.HttpRequestBase
`addCookie, addHeader, addParameter, clearCookies, clearHeaders, clearLocales, clearParameters, getAuthType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getInfo, getIntHeader, getMethod, getParameter, getParameterMap, getParameterNames, getParameterValues, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequest, getRequestDispatcher, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isSecure, isUserInRole, parseParameters, setAuthType, setContextPath, setMethod, setPathInfo, setQueryString, setRequestedSessionCookie, setRequestedSessionId, setRequestedSessionURL, setRequestURI, setSecure, setServletPath, setUserPrincipal`

Methods inherited from class org.apache.catalina.connector.RequestBase
`addLocale, createInputStream, finishRequest, getAttribute, getAttributeNames, getAuthorization, getCharacterEncoding, getConnector, getContentLength, getContentType, getContext, getInputStream, getLocale, getLocales, getNote, getNoteNames, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getResponse, getScheme, getServerName, getServerPort, getSocket, getStream, getWrapper, removeAttribute, removeNote, setAttribute, setAuthorization, setCharacterEncoding, setConnector, setContentLength, setContentType, setContext, setNote, setProtocol, setRemoteAddr, setRemoteHost, setResponse, setScheme, setServerName, setServerPort, setSocket, setStream, setWrapper`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.catalina.HttpRequest
`addLocale`

Methods inherited from interface org.apache.catalina.Request
`createInputStream, finishRequest, getAuthorization, getConnector, getContext, getNote, getNoteNames, getResponse, getSocket, getStream, getWrapper, removeNote, setAuthorization, setConnector, setContentLength, setContentType, setContext, setNote, setProtocol, setRemoteAddr, setResponse, setScheme, setServerName, setServerPort, setSocket, setStream, setWrapper`

Methods inherited from interface javax.servlet.ServletRequest
`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocale, getLocales, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getScheme, getServerName, getServerPort, removeAttribute, setAttribute, setCharacterEncoding`

Constructor Detail

### WarpRequest

    public WarpRequest()

Method Detail

### setHost

    public void setHost(Host host)

### getHost

    public Host getHost()

### recycle

    public void recycle()

  Recycle this `WarpResponse` instance.
  Overrides:
    `recycle` in class `HttpRequestBase`

### setConnection

    public void setConnection(WarpConnection connection)

  Associate this `WarpResponse` instance with a specific `WarpConnection` instance.

### getConnection

    public WarpConnection getConnection()

  Return the `WarpConnection` associated this instance of `WarpResponse`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.